<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
  </configSections>
  <appSettings>
    <add key="aspnet:UseTaskFriendlySynchronizationContext" value="true" />
  </appSettings>
  <system.web>
    <compilation debug="true" targetFramework="4.5.2" />
    <httpRuntime targetFramework="4.5.2" />
  </system.web>
  <system.serviceModel>
    <bindings>
      <wsHttpBinding>
        <binding name="MiEnlaceTransaccional" transactionFlow="true">
          <reliableSession enabled="true"></reliableSession>
        </binding>
      </wsHttpBinding>
    </bindings>
    <services>
      <service behaviorConfiguration="MiConfiguracion" name="ProyectoFinalWCF.Service1">
        <endpoint address="" binding="basicHttpBinding" bindingConfiguration=""
          name="usuario" contract="ProyectoFinalWCF.IService1" />
      </service>
      <service behaviorConfiguration="MiConfiguracion" name="ProyectoFinalWCF.Servicios.BlogService">
        <endpoint address="blog" binding="wsHttpBinding" bindingConfiguration="MiEnlaceTransaccional"
          name="blog" contract="ProyectoFinalWCF.Servicios.IBlogService" />
        <endpoint address="mex" binding="mexHttpBinding" bindingConfiguration=""
                  name="mex" contract="IMetadataExchange"/>
      </service>
      <service behaviorConfiguration="MiConfiguracion" name="ProyectoFinalWCF.Servicios.ComentariosService">
        <endpoint address="comentario" binding="basicHttpBinding" bindingConfiguration=""
          name="comentario" contract="ProyectoFinalWCF.Servicios.IComentariosService" />
      </service>
      <service behaviorConfiguration="MiConfiguracion" name="ProyectoFinalWCF.Servicios.CategoriaService">
        <endpoint address="categoria" binding="basicHttpBinding" bindingConfiguration=""
          name="categoria" contract="ProyectoFinalWCF.Servicios.ICategoriaService" />
      </service>
    </services>
    <behaviors>
      <serviceBehaviors>
        <behavior name="MiConfiguracion">
          <serviceMetadata httpGetEnabled="true" httpsGetEnabled="true" />
          <serviceDebug includeExceptionDetailInFaults="true" />
        </behavior>
        <behavior name="NewBehavior0" />
      </serviceBehaviors>
    </behaviors>
    <protocolMapping>
      <add binding="basicHttpBinding" scheme="http" />
    </protocolMapping>
    <serviceHostingEnvironment aspNetCompatibilityEnabled="true" multipleSiteBindingsEnabled="true" />
  </system.serviceModel>
  <system.webServer>
    <modules runAllManagedModulesForAllRequests="true" />
    <!--
        Para examinar el directorio raíz de la aplicación web durante la depuración, establezca el valor siguiente en true.
        Establézcalo en false antes de la implementación para evitar revelar información sobre la carpeta de aplicación web.
      -->
    <directoryBrowse enabled="true" />
  </system.webServer>
  <connectionStrings>
    <add name="BDPROYECTOEntities" connectionString="metadata=res://*/Models.csdl|res://*/Models.ssdl|res://*/Models.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=DESKTOP-TABFPCA;initial catalog=BDPROYECTO;integrated security=True;MultipleActiveResultSets=True;App=EntityFramework&quot;"
      providerName="System.Data.EntityClient" />
    <add name="BDPROYECTOConnectionString" connectionString="Data Source=DESKTOP-TABFPCA;Initial Catalog=BDPROYECTO;Integrated Security=True"
      providerName="System.Data.SqlClient" />
  </connectionStrings>
  <entityFramework>
    <defaultConnectionFactory type="System.Data.Entity.Infrastructure.LocalDbConnectionFactory, EntityFramework">
      <parameters>
        <parameter value="mssqllocaldb" />
      </parameters>
    </defaultConnectionFactory>
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
    </providers>
  </entityFramework>
</configuration>